%global project ~system-settings-touch
%global _revision 85

# for fedora 24
# %%global _qt5_qmldir %%{_qt5_archdatadir}/qml
%global __provides_exclude ^libGSettingsQmlPlugin\\.so.*$

Name:           gsettings-qt
Version:        0
Release:        0.21.20180723bzr%{_revision}
Summary:        Qt/QML bindings for GSettings
License:        LGPL-3.0-only
URL:            https://launchpad.net/gsettings-qt
Source0:        http://bazaar.launchpad.net/%{project}/%{name}/trunk/tarball/%{_revision}#/%{name}-%{_revision}.tar.gz
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  glib2-devel
BuildRequires:  gcc-c++

%description
Qt/QML bindings for GSettings.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel%{?isa}

%description devel
Header files and libraries for %{name}.

%prep
%setup -q -n %{project}/%{name}/trunk

%build
%qmake_qt5 PREFIX=%{_prefix}
# sed -i "/\t\tsub-tests-tests-pro/d" Makefile
# sed -i "/\t\tsub-tests-cpptest-pro/d" Makefile
# Parallel build not supported. It causes error when linking
make

%install
%make_install INSTALL_ROOT=%{buildroot}

# remove test
rm -rf %{buildroot}%{_qt5_prefix}/tests -rf
find %{buildroot} -iname test* -exec rm -f {} \;
find %{buildroot} -iname cpptest* -exec rm -f {} \;

%ldconfig_scriptlets

%files
%{_libdir}/lib%{name}.so.*
%license COPYING
%dir %{_qt5_qmldir}/GSettings.1.0/
%{_qt5_qmldir}/GSettings.1.0/libGSettingsQmlPlugin.so
%{_qt5_qmldir}/GSettings.1.0/plugins.qmltypes
%{_qt5_qmldir}/GSettings.1.0/qmldir

%files devel
%license COPYING
%dir %{_qt5_headerdir}/QGSettings/
%{_qt5_headerdir}/QGSettings/*
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so

%changelog
* Mon Aug 15 2022 liukuo <liukuo@kylinos.cn> - 0-0.21.20180723bzr85
- License compliance rectification

* Mon Dec 13 2021 douyan <douyan@kylinos.cn> - 0-0.20.20180723bzr
- remove %{?dist}

* Thu Jul 23 2020 wangmian<wangmian@kylinos.cn> - 0-0.19.20180723bzr
- Init gsettings-qt project
